//  SX12.H  
//  512 Dos driver header file
//	Sensoray Co., Inc.
//  4/17/01
//

#include <string.h>
#define X12TSR_PRESENT (_fstrcmp((char *) *((char **)MK_FP(0,X12INT*4))+2,"X12TSR") == 0)

//
//  X12DOS Driver functions
//
#define X12_SENDCOMMAND     0x10
#define X12_GETCMDPARAPTR   0x20
//
//  X12DOS Card selector 
//  To be added to driver fuction above
//
#define CARD0				0
#define CARD1				1

//
//	The driver software interrupt
//
#define X12INT				0x63

//
//	X12DOS Driver commands
//
#define X12_VI_START            3
#define X12_VI_STOP             4
#define X12_VI_SENDCOMMAND      5
#define X12_VI_GETVQSIZE        6
#define X12_VI_GETDMADATA       7
#define X12_VI_GETMPEGDATA      7
#define X12_VI_PUTDMADATA       8
#define X12_VI_PUTMPEGDATA      8
#define X12_VI_GETSTATUS		12

#define X12_VI_SETINPUT         40
#define X12_VI_SETINPUTTYPE     41

#define X12_RESETDEVICE         80
#define X12_GETDI               81
#define X12_SETDO               82
#define X12_CLRDO               83
#define X12_SETDIODIR           84

//
//	Mode Parameters
//
#define DECODE                  0		//Decompression
#define ENCODE                  1		//Compression

//
//	Status return values
//
#define SUCCESS					0
#define FAIL                    -1      

//
//  Video source selector
//
#define VIN1                    0       //Video input 1
#define VIN2                    1       //Video input 2
#define VIN3                    2       //Video input 3 (Composite only)
#define VIN4                    3       //Video input 4 (Composite only)

//
// Video input type selector
//
#define CVIDEO          0           //Composite video input
#define SVIDEO          1           //Super video input

//
//  Digital I/O stuff
//
#define HIGH    0xff
#define LOW     0
#define OUTPUT  0xff
#define INPUT   0
//
// The Parameter data structure
//
typedef struct 
{
      unsigned short Mode;         
      unsigned short Command;
      unsigned long VQSize;    
      short Input;
      short InputType;
      unsigned short DIO;
      unsigned short DI0,DI1,DI2;
      unsigned short DO0,DO1,DO2;
      unsigned short DDIR0,DDIR1,DDIR2;
      short Output;
      short SVideo;
      unsigned short DroppedFrames;
      long Length;
      unsigned long FrameCount;
      short Status;
      void _far *Buffer;
} X12PARAM;


